This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 457018 - pppoe: Unshare skb before anything else [rhel-5.3]
pppoe: Unshare skb before anything else [rhel-5.3]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Jiri Pirko
Martin Jenner
:
Depends On:
Blocks: 457019 457020
  Show dependency treegraph
 
Reported: 2008-07-29 04:38 EDT by Eugene Teo (Security Response)
Modified: 2015-05-04 21:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:24:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-07-29 04:38:35 EDT
Description of problem:
We need to unshare the skb first as otherwise pskb_may_pull may write to a
shared skb which could be bad.
Comment 2 Jiri Pirko 2008-08-13 08:31:13 EDT
I also found that this should be changed in pppoe_rcv() function. Please eteo create bz for it.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=31bac44468257986484703cc09da8a9dcae88a36
Comment 3 Eugene Teo (Security Response) 2008-08-14 02:44:02 EDT
(In reply to comment #2)
> I also found that this should be changed in pppoe_rcv() function. Please eteo
> create bz for it.
> 
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=31bac44468257986484703cc09da8a9dcae88a36

Thanks Jiri. I have created the bugs for this:
rhel-4.8 [#459063:NEW], and rhel-5.3 [#459062:NEW].
Comment 4 Don Zickus 2008-09-02 23:40:57 EDT
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 errata-xmlrpc 2009-01-20 15:24:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.